# Generated by go2rpm
%bcond_without check

%global goipath         pkg.deepin.io/lib
%global forgeurl        https://github.com/linuxdeepin/go-lib
Version:                1.10.2
%global tag             1.10.2

%gometa

%global godevelheader %{expand:
Requires:       deepin-gir-generator
Requires:       dbus-x11
Requires:       iso-codes
Requires:       mobile-broadband-provider-info
Requires:       pkgconfig(gio-2.0)
Requires:       pkgconfig(gdk-3.0)
Requires:       pkgconfig(gdk-x11-3.0)
Requires:       pkgconfig(gdk-pixbuf-xlib-2.0)
Requires:       pkgconfig(libpulse)}

%global goname          golang-deepin-go-lib
%global godevelname     golang-deepin-go-lib-devel

%global common_description %{expand:
Deepin Golang library is a library containing many useful go routines for things
such as glib, gettext, archive, graphic,etc.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go bindings for Deepin Desktop Environment development

License:        GPLv3
URL:            %{gourl}
Source0:        %{gosource}
# Fix Warning/Info calls with formatting directives
Patch0:         0001-fix-format-calls.patch

BuildRequires:  deepin-gir-generator
BuildRequires:  dbus-x11
BuildRequires:  iso-codes
BuildRequires:  mobile-broadband-provider-info
BuildRequires:  golang(github.com/cryptix/wav)
BuildRequires:  golang(github.com/linuxdeepin/go-x11-client)
BuildRequires:  golang(golang.org/x/image/bmp)
BuildRequires:  golang(golang.org/x/image/tiff)
BuildRequires:  golang(golang.org/x/net/context)
BuildRequires:  golang(gopkg.in/alecthomas/kingpin.v2)
BuildRequires:  golang(pkg.deepin.io/gir/gio-2.0)
BuildRequires:  golang(pkg.deepin.io/gir/glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:  pkgconfig(libpulse)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/smartystreets/goconvey/convey)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(gopkg.in/check.v1)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d log -d procfs -d pulse -d shell -t users
%endif

%gopkgfiles

%changelog
* Tue Jun 04 18:16:14 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.10.2-1
- Release 1.10.2

* Tue Feb 26 2019 mosquito <sensor.wen@gmail.com> - 1.9.1-1.20190225git89a0355
- Update to 1.9.1

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 1.8.0-1.20190112git594e036
- Update to 1.8.0

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2.git4d9427f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 12 2018 mosquito <sensor.wen@gmail.com> - 1.6.0-1.20181212git4d9427f
- Update to 1.6.0

* Thu Nov 29 2018 mosquito <sensor.wen@gmail.com> - 1.4.0-1.20181129gitd86462c
- Update to 1.4.0

* Fri Nov  9 2018 mosquito <sensor.wen@gmail.com> - 1.3.0-1.20181119gitb199d0d
- Update to 1.3.0

* Sat Aug 25 2018 mosquito <sensor.wen@gmail.com> - 1.2.11-1
- Back to 1.2.11

* Thu Aug  2 2018 mosquito <sensor.wen@gmail.com> - 1.2.15-1
- Update to 1.2.15

* Fri Jul 27 2018 mosquito <sensor.wen@gmail.com> - 1.2.14-1
- Update to 1.2.14

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Mar 12 2018 mosquito <sensor.wen@gmail.com> - 1.2.4-2
- Disable test suit

* Fri Feb 16 2018 mosquito <sensor.wen@gmail.com> - 1.2.4-1
- Update to 1.2.4

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Dec 20 2017 mosquito <sensor.wen@gmail.com> - 1.2.3-1
- Update to 1.2.3

* Mon Nov 27 2017 mosquito <sensor.wen@gmail.com> - 1.2.2-1
- Update to 1.2.2

* Sat Oct 14 2017 mosquito <sensor.wen@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Thu Aug 24 2017 mosquito <sensor.wen@gmail.com> - 1.1.0-1
- Update to 1.1.0

* Sun Aug  6 2017 mosquito <sensor.wen@gmail.com> - 1.0.5-2
- Rename to golang-deepin-go-lib

* Fri Jul 14 2017 mosquito <sensor.wen@gmail.com> - 1.0.5-1.git3c9791f
- Update to 1.0.5

* Fri May 19 2017 mosquito <sensor.wen@gmail.com> - 1.0.3-1.gitb084e27
- Update to 1.0.3

* Sun Feb 26 2017 mosquito <sensor.wen@gmail.com> - 0.5.5-1.git01150d5
- Update to 0.5.5

* Tue Jan 17 2017 mosquito <sensor.wen@gmail.com> - 0.5.3-1.git44767e8
- Update to 0.5.3

* Sun Jul 12 2015 mosquito <sensor.wen@gmail.com> - 0.3.0-1.git98ac007
- Update to 0.3.0-1.git98ac007

* Mon Sep 29 2014 mosquito <sensor.wen@gmail.com> - 0.0.4git20140928-1
- Initial build
